<?php
/* **************************************************** 
* 
* Plugin Name:	Tongue Theme Settings
* Description:	Settings for the GetSimple 3.1 Theme: Tongue
* Version:		1.2
* Author:		James Schindler-Ord
* Author URI:	http://james.schindler-ord.me.uk/
* 
**************************************************** */

# get correct id for plugin
$thisfile_tong=basename(__FILE__, ".php");
$tongue_file=GSDATAOTHERPATH .'TongueSettings.xml';

# add in this plugin's language file
i18n_merge($thisfile_tong,'en_US');

# register plugin
register_plugin(
	$thisfile_tong, 										# ID of plugin, should be filename minus php
	i18n_r($thisfile_tong.'/TONGUE_TITLE'), 				# Title of plugin
	'1.2', 													# Version of plugin
	'James Schindler-Ord',									# Author of plugin
	'http://james.schindler-ord.me.uk/', 					# Author URL
	i18n_r($thisfile_tong.'/TONGUE_DESC'), 					# Plugin Description
	'theme', 												# Page type of plugin
	'tongue_show'  											# Function that displays content
);



# hooks
add_action('theme-sidebar','createSideMenu',array($thisfile_tong, i18n_r($thisfile_tong.'/TONGUE_TITLE'))); 

# get XML data
if (file_exists($tongue_file)) {
	$x = getXML($tongue_file);
	$logo = $x->logo;
} else {
	$logo = '';
}


function tongue_show() {
	global $tongue_file, $logo, $thisfile_tong;
	$success=null;$error=null;
	
	// submitted form
	if (isset($_POST['submit'])) {
		$logo=null;
		
		# check to see if the URLs provided are valid
		if ($_POST['logo'] != '') {
			if (validate_url($_POST['logo'])) {
				$logo = $_POST['logo'];
			} else {
				$error .= i18n_r($thisfile_tong.'/LOGO_ERROR').' ';
			}
		}
		
		
		# if there are no errors, save data
		if (!$error) {
			$xml = @new SimpleXMLElement('<item></item>');
			$xml->addChild('logo', $logo);

			
			if (! $xml->asXML($tongue_file)) {
				$error = i18n_r('CHMOD_ERROR');
			} else {
				$x = getXML($tongue_file);
				$logo = $x->logo;
				$success = i18n_r('SETTINGS_UPDATED');
			}
		}
	}
	
	?>
	<h3><?php i18n($thisfile_tong.'/TONGUE_TITLE'); ?></h3>
	
	<?php 
	if($success) { 
		echo '<p style="color:#669933;"><b>'. $success .'</b></p>';
	} 
	if($error) { 
		echo '<p style="color:#cc0000;"><b>'. $error .'</b></p>';
	}
	?>
	
	<form method="post" action="<?php	echo $_SERVER ['REQUEST_URI']?>">
		
		<p><label for="ton_logo" ><?php i18n($thisfile_tong.'/LOGO_URL'); ?></label><input id="ton_logo" name="logo" class="text" value="<?php echo $logo; ?>" /></p>
		
		<p><input type="submit" id="submit" class="submit" value="<?php i18n('BTN_SAVESETTINGS'); ?>" name="submit" /></p>
	</form>
	
	<?php
}
